<?php
    $languages = App\Models\Language::all();
    $pages = App\Models\Page::where('tempname', $activeTemplate)->get();
?>
<!--========================== Header section Start ==========================-->
<div class="header-main-area">
    <div class="header" id="header">
      <div class="container position-relative">
        <div class="row">
            <div class="header-wrapper">
              <!-- ham menu -->
              <i class="fas fa-bars ham__menu" data-bs-toggle="offcanvas"
                data-bs-target="#offcanvasExample" aria-controls="offcanvasExample"></i>

              <!-- logo -->
              <div class="header-menu-wrapper align-items-center d-flex">
                <div class="logo-wrapper">
                    <a href="<?php echo e(route('home')); ?>" class="normal-logo"> <img
                            src="<?php echo e(getImage(getFilePath('logoIcon') . '/logo.png', '?' . time())); ?>"
                            alt="<?php echo e(config('app.name')); ?>"></a>

                    <a href="<?php echo e(route('home')); ?>" class="dark-logo hidden"> <img
                            src="<?php echo e(getImage(getFilePath('logoIcon') . '/logo_white.png', '?' . time())); ?>"
                            alt="<?php echo e(config('app.name')); ?>"></a>
                </div>
              </div>
              <!-- / logo -->

              <div class="menu-wrapper">
                <ul class="main-menu">

                    <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li>
                        <a class="<?php echo e(request()->url() === route('pages', [$page->slug]) ? 'active' : ''); ?>"
                            aria-current="page"
                            href="<?php echo e(route('pages', [$page->slug])); ?>"><?php echo e(__($page->name)); ?>

                        </a>
                    </li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </ul>
              </div>

                <div class="menu-right-wrapper">
                  <ul>

                    <?php if(auth()->guard('publisher')->user()): ?>
                        <li class="login-registration-list__item">
                            <span class="login-registration-list__icon">
                                <i class="fa fa-tachometer-alt"></i>
                            </span>
                            <a href="<?php echo e(route('publisher.home')); ?>" class="login-registration-list__link"><?php echo app('translator')->get('Dashboard'); ?></a>
                        </li>
                    <?php elseif(auth()->guard('advertiser')->user()): ?>
                        <li class="login-registration-list__item">
                            <span class="login-registration-list__icon">
                                <i class="fa fa-tachometer-alt"></i>
                            </span>
                            <a href="<?php echo e(route('advertiser.home')); ?>" class="login-registration-list__link"><?php echo app('translator')->get('Dashboard'); ?></a>
                        </li>
                    <?php else: ?>
                    <li class="login-registration-list__item">
                        <span class="login-registration-list__icon">
                        <i class="fas fa-sign-in-alt"></i>
                        </span>
                        <a href="<?php echo e(route('login')); ?>" class="login-registration-list__link"><?php echo app('translator')->get('Login'); ?></a>
                    </li>
                    <?php endif; ?>

                    <li class="language-box">
                        <i class="fas fa-globe"></i>
                        <select class="langSel select">
                            <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($language->code); ?>"
                                    <?php if(Session::get('lang') === $language->code): ?> selected <?php endif; ?>><?php echo e(__($language->name)); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                    </li>

                    <li>
                      <div class="light-dark-btn-wrap ms-1" id="light-dark-checkbox">
                        <i class="fas fa-moon mon-icon"></i>
                        <i class='fas fa-sun sun-icon'></i>
                      </div>
                    </li>

                  </ul>
                </div>
            </div>
        </div>
      </div>
    </div>
</div>
  <!--========================== Header section End ==========================-->

  <!--========================== Sidebar mobile menu wrap Start ==========================-->
<div class="offcanvas offcanvas-start text-bg-light" tabindex="-1" id="offcanvasExample">
<div class="offcanvas-header">
    <div class="logo">
    <div class="header-menu-wrapper align-items-center d-flex">
        <div class="logo-wrapper">
            <a href="<?php echo e(route('home')); ?>" class="normal-logo"> <img
                    src="<?php echo e(getImage(getFilePath('logoIcon') . '/logo.png', '?' . time())); ?>"
                    alt="<?php echo e(config('app.name')); ?>">
                </a>

            <a href="<?php echo e(route('home')); ?>" class="dark-logo hidden"> <img
                    src="<?php echo e(getImage(getFilePath('logoIcon') . '/logo_white.png', '?' . time())); ?>"
                alt="<?php echo e(config('app.name')); ?>">
            </a>
        </div>
    </div>
    </div>
    <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
</div>
<div class="offcanvas-body">
    <?php if(auth()->guard('publisher')->user()): ?>
        <div class="user-info"
            style="background: url(<?php echo e(asset($activeTemplateTrue . 'images/sidenav_user.jpg')); ?>);background-position: center;background-size: cover; filter: grayscale(30%) ;">
            <div class="user-thumb">
                <img src="<?php echo e(getImage(getFilePath('userProfile') . '/' . auth()->guard('publisher')->user()->image, getFileSize('userProfile'))); ?>"
                    alt="user-image">
            </div>
            <h4 class="text-white"><?php echo e(__(auth()->guard('publisher')->user()->fullname)); ?></h4>
        </div>
    <?php endif; ?>

    <?php if(auth()->guard('advertiser')->user()): ?>
        <div class="user-info"
            style="background: url(<?php echo e(asset($activeTemplateTrue . 'images/sidenav_user.jpg')); ?>);background-position: center;background-size: cover; filter: grayscale(30%) ;">
            <div class="user-thumb">
                <img src="<?php echo e(getImage(getFilePath('userProfile') . '/' . auth()->guard('advertiser')->user()->image, getFileSize('userProfile'))); ?>"
                    alt="user-image">
            </div>
            <h4 class="text-white"><?php echo e(__(auth()->guard('advertiser')->user()->fullname)); ?></h4>
        </div>
    <?php endif; ?>


    <ul class="side-Nav">
        <?php if(auth()->guard('publisher')->user()): ?>
            <li>
                <a href="<?php echo e(route('publisher.home')); ?>" class="<?php echo e(Route::is('publisher.home') ? 'active' : ''); ?>"><?php echo app('translator')->get('Dashboard'); ?></a>
            </li>
        <?php endif; ?>
        <?php if(auth()->guard('advertiser')->user()): ?>
            <li>
                <a href="<?php echo e(route('advertiser.home')); ?>" class="<?php echo e(Route::is('advertiser.home') ? 'active' : ''); ?>"><?php echo app('translator')->get('Dashboard'); ?></a>
            </li>
        <?php endif; ?>
        <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li>
                <a href="<?php echo e(route('pages', [$page->slug])); ?>" class="<?php echo e(request()->url() === route('pages', [$page->slug]) ? 'active' : ''); ?>"> <?php echo e(__($page->name)); ?></a>
            </li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php if(auth()->guard('advertiser')->user()): ?>
            <li>
                <a href="<?php echo e(route('advertiser.logout')); ?>"><?php echo app('translator')->get('Logout'); ?></a>
            </li>
        <?php endif; ?>
        <?php if(auth()->guard('publisher')->user()): ?>
            <li>
                <a href="<?php echo e(route('publisher.logout')); ?>"><?php echo app('translator')->get('Logout'); ?></a>
            </li>
        <?php endif; ?>
        <?php if(!auth()->guard('publisher')->user() && !auth()->guard('advertiser')->user()): ?>
            <li>
                <a href="<?php echo e(route('login')); ?>"  class="<?php echo e(Route::is('login') ? 'active' : ''); ?>"><?php echo app('translator')->get('Login'); ?></a>
            </li>
            <li>
                <a href="<?php echo e(route('register')); ?>" class="<?php echo e(Route::is('register') ? 'active' : ''); ?>"><?php echo app('translator')->get('Register'); ?></a>
            </li>
        <?php endif; ?>
    </ul>
</div>
</div>
  <!--========================== Sidebar mobile menu wrap End ==========================-->
<?php /**PATH /home/belophhp/adwhat.site/application/resources/views/presets/default/components/header.blade.php ENDPATH**/ ?>