<?php
$blog = getContent('blog.content', true);
$blogElements = App\Models\Frontend::where('data_keys','blog.element')->orderBy('id','desc')->paginate(getPaginate(3));
?>
<section class="blog-section py-115">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="section-content">
                    <h2 class="section-title mb-2 wow animate__animated animate__fadeInUp" data-wow-delay="0.2s"><?php echo e(__($blog->data_values->heading)); ?></h2>
                    <div class="title-btm-border mb-3 wow animate__animated animate__fadeInUp"  data-wow-delay="0.3s"></div>
                </div>
            </div>
        </div>
        <div class="row g-5 justify-content-center py-60">
            <?php $__currentLoopData = $blogElements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-lg-4 col-md-6">
                <div class="nws-card_body wow animate__animated animate__fadeInUp" data-wow-delay="0.2s">
                    <div class="card-img">
                        <a href="<?php echo e(route('blog.details', ['slug' => slug($item->data_values->title), 'id' => $item->id])); ?>">
                            <img src="<?php echo e(getImage(getFilePath('blog') . '/' . 'thumb_' . $item->data_values->blog_image)); ?>" alt="<?php echo app('translator')->get('blog img'); ?>" >
                        </a>
                    </div>
                    <div class="card-item">
                        <div class="date">
                            <p><i class="fas fa-clock"></i> <?php echo e(showDateTime($item->created_at)); ?></p>
                        </div>
                        <div class="nws-title pt-3">
                            <a href="<?php echo e(route('blog.details', ['slug' => slug($item->data_values->title), 'id' => $item->id])); ?>">
                            <h4>
                                <?php if(strlen(__($item->data_values->title)) > 50): ?>
                                <?php echo e(substr(__($item->data_values->title), 0, 50) . '...'); ?>

                                <?php else: ?>
                                    <?php echo e(__($item->data_values->title)); ?>

                                <?php endif; ?>
                            </h4>
                        </a>
                        </div>
                        <div class="py-2">
                            <a href="<?php echo e(route('blog.details', ['slug' => slug($item->data_values->title), 'id' => $item->id])); ?>" class="btn btn--base"><?php echo app('translator')->get('Read More'); ?> <i class="fas fa-arrow-right"></i></a>
                        </div>
                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
         <!-- pagination -->
         <div class="row">
            <?php if($blogElements->hasPages()): ?>
            <div class=" d-flex justify-content-end">
                <?php echo e(paginateLinks($blogElements)); ?>

            </div>
            <?php endif; ?>
        </div>
        <!-- / pagination -->
    </div>
</section>
<?php /**PATH /home/belophhp/adwhat.site/application/resources/views/presets/default/sections/blog.blade.php ENDPATH**/ ?>