<?php $__env->startSection('content'); ?>
    <div class="row gy-4 justify-content-center">
        <div class="<?php echo e(auth()->guard('publisher')->check()
            ? 'col-lg-12'
            : (auth()->guard('advertiser')->check()
                ? 'col-lg-12'
                : 'col-lg-8 py-80')); ?>">
            <div class="order-wrap  payment-info">
                <div class="row mb-3 justify-content-between align-items-center ">
                    <div class="col-md-11">
                        <h5 class="mb-0">
                            <?php echo $myTicket->statusBadge; ?>
                            [<?php echo app('translator')->get('Ticket'); ?>#<?php echo e($myTicket->ticket); ?>] <?php echo e($myTicket->subject); ?>

                        </h5>
                    </div>
                    <div class="col-md-1 text-end">
                        <?php if($myTicket->status != 3 && $myTicket->user): ?>
                        <button class="btn btn--danger btn-sm confirmationBtn" type="button" data-question="<?php echo app('translator')->get('Are you sure to close this ticket?'); ?>"
                            data-action="<?php echo e(route('ticket.close', $myTicket->id)); ?>"><i
                                class="fa fa-lg fa-times-circle"></i>
                        </button>
                        <?php endif; ?>
                    </div>
                </div>
                <?php if($myTicket->status != 4): ?>
                    <form method="post" action="<?php echo e(route('ticket.reply', $myTicket->id)); ?>" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <div class="row justify-content-between">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <textarea name="message" class="form--control" rows="4"><?php echo e(old('message')); ?></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="text-end mb-3">
                            <a href="javascript:void(0)" class="btn btn--base btn-sm addFile"><i class="fa fa-plus"></i>
                                <?php echo app('translator')->get('Add New'); ?></a>
                        </div>
                        <div class="form-group mb-3">
                            <input type="file" name="attachments[]" class="form-control form--control" placeholder="" />
                            <label class="form--label"><?php echo app('translator')->get('Attachments'); ?></label>
                            <div id="fileUploadsContainer"></div>

                        </div>
                        <button type="submit" class="btn btn--base mb-3"> <i class="fa fa-reply"></i> <?php echo app('translator')->get('Reply'); ?></button>
                    </form>
                <?php endif; ?>

                <?php $__currentLoopData = $messages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if($message->admin_id == 0): ?>
                        <div class="row border mx-1 py-2">
                            <div class="col-md-3 border-end text-end">
                                <h5 class="my-3"><?php echo e($message->ticket->name); ?></h5>
                            </div>
                            <div class="col-md-9">
                                <p class="text-muted fw-bold my-3">
                                    <?php echo app('translator')->get('Posted on'); ?> <?php echo e($message->created_at->format('l, dS F Y @ H:i')); ?></p>
                                <p><?php echo e($message->message); ?></p>
                                <?php if($message->attachments->count() > 0): ?>
                                    <div class="mt-2">
                                        <?php $__currentLoopData = $message->attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <a href="<?php echo e(route('ticket.download', encrypt($image->id))); ?>" class="me-3"><i
                                                    class="fa fa-file"></i> <?php echo app('translator')->get('Attachment'); ?> <?php echo e(++$k); ?> </a>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    <?php else: ?>
                    <div class="row border mx-1 py-2">
                            <div class="col-md-3 border-end text-end">
                                <h5 class="my-3"><?php echo e($message->admin->name); ?></h5>
                                <p class="lead text-muted"><?php echo app('translator')->get('Staff'); ?></p>
                            </div>
                            <div class="col-md-9">
                                <p class="text-muted fw-bold my-3">
                                    <?php echo app('translator')->get('Posted on'); ?> <?php echo e($message->created_at->format('l, dS F Y @ H:i')); ?></p>
                                <p><?php echo e($message->message); ?></p>
                                <?php if($message->attachments->count() > 0): ?>
                                    <div class="mt-2">
                                        <?php $__currentLoopData = $message->attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <a href="<?php echo e(route('ticket.download', encrypt($image->id))); ?>" class="me-3"><i
                                                    class="fa fa-file"></i> <?php echo app('translator')->get('Attachment'); ?> <?php echo e(++$k); ?> </a>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
    <?php if (isset($component)) { $__componentOriginalbd5922df145d522b37bf664b524be380 = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalbd5922df145d522b37bf664b524be380)): ?>
<?php $component = $__componentOriginalbd5922df145d522b37bf664b524be380; ?>
<?php unset($__componentOriginalbd5922df145d522b37bf664b524be380); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            var fileAdded = 0;
            $('.addFile').on('click', function() {
                if (fileAdded >= 4) {
                    notify('error', 'You\'ve added maximum number of file');
                    return false;
                }
                fileAdded++;
                $("#fileUploadsContainer").append(`
                    <div class="input-group my-3">
                        <input type="file" name="attachments[]" class="form--control" required placeholder="" />
                        <label class="form--label"><?php echo app('translator')->get('Attachments'); ?></label>
                        <button class="input-group-text btn--danger remove-btn"><i class="las la-times"></i></button>
                    </div>
                `)
            });
            $(document).on('click', '.remove-btn', function() {
                fileAdded--;
                $(this).closest('.input-group').remove();
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.' . $layout, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/belophhp/adwhat.site/application/resources/views/presets/default/user/support/view.blade.php ENDPATH**/ ?>